Package: grails.compiler.traits

## [Java] Interface TraitInjector

-     public interface TraitInjector

  Authors:
    Jeff Brown
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String[]` | `getArtefactTypes()`
    `` | `public java.lang.Class` | `getTrait()`

- - ### Method Detail

    - #### public java.lang.String[] getArtefactTypes()

    - #### public java.lang.Class getTrait()